INDEX(3)

NAME
index - locate character in string

SYNOPSIS
#include <string.h>
char *
index(const char *s, int c);

DESCRIPTION
The index() function locates the first character matching c (converted to a char) in the null-terminated string s.

RETURN VALUES
A pointer to the character is returned if it is found; otherwise NULL is returned. If c is '\0', index() locates the terminating '\0'.

SEE ALSO
memchr(3), rindex(3), strchr(3), strcspn(3), strpbrk(3), strrchr(3), strsep(3), strspn(3), strstr(3), strtok(3)

HISTORY
A index() function appeared in AT&T UNIX.